This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1021409 - s-ramp-demos-switchyard-multiapp throws NPE in server log
s-ramp-demos-switchyard-multiapp throws NPE in server log
Status: VERIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER7
: 6.0.0
Assigned To: Kurt T Stam
Stefan Bunciak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 05:09 EDT by Stefan Bunciak
Modified: 2014-01-06 09:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Bunciak 2013-10-21 05:09:46 EDT
Description of problem:

After successful deployment of s-ramp-demos-switchyard-multiapp to S-RAMP:

* 2 dtgov tasks were created - I'm not sure whether it's all right.
* NPE was thrown, see log: http://pastebin.test.redhat.com/171476

Version-Release number of selected component (if applicable):
* 6.0.0.ER6

How reproducible:


Steps to Reproduce:
1. Install FSW 6.0.0.ER6
2. run mvn -Pdemo clean deploy from quickstarts/overlord/sramp/s-ramp-demos-switchyard-multiapp
3. Check the server log

Actual results:


Expected results:


Additional info:
Comment 1 Kurt T Stam 2013-10-21 09:51:56 EDT
I have not seen this error in development; can it be the workflow.jar disappeared in the middle of processing? It seems to want to start a process or work on a task when the NPE shows.
Comment 2 Kurt T Stam 2013-10-28 09:32:17 EDT
I was able to reproduce it. This is caused when the workflow is invoked for the first time; and the definition has not be loaded. It can be prevented by the server after first deploying the workflow. This is obviously an issue that needs fixing.
Comment 5 Kurt T Stam 2013-11-15 00:13:36 EST
After the deployment of the workflows no restart should be required anymore, and no errors should occur.
Comment 6 Stefan Bunciak 2014-01-06 09:59:27 EST
No restart was required for server to load the workflows from s-ramp. Verified in FSW 6.0.0.ER8.

Note You need to log in before you can comment on or make changes to this bug.